Subject: bug#16182: Acknowledgement (24.3.50; ruby-mode: Indentation style of multiline literals with hanging open paren inside other parens)

From: Dmitry Gutov <[email-masked]>
Date: Thu, 19 Dec 2013 06:35:22 +0200

Bozhidar Batsov <[email-masked]> writes:

> Personally I dislike this style, because you’re basically it obscures
> the semantics of the method arguments, but I acknowledge that I’ve
> seen it the wild.

Ok, that's a -1, then.

> For me it would be more beneficial if we supported a
> variant of the style:
>
> methods.each do |method|
>   route_set.add_route(
>     self, {
>       path_info: route.route_compiled,
>       request_method: method,
>     }, route_info: route
>   )
> end

Should work now, with revision 115602.

> Something that’s not mentioned here, but it’s a bigger problem for the
> users is probably the fact that we don’t support the following
> indentation style:
>
> x = if something
> do_something
> end
>
> Even if I don’t use and (and the majority of Ruby hackers AFAIK) it’s
> still fairly popular.

It's actually easy to do now, but the old engine doesn't support that
either. That should be takes as evidence that Emacs Rubyists don't care
about this variant much (I didn't see it in feature requests either).

So I'd rather wait for a request from someone who actually would use it.
If you'd like to add it now, please propose the name of the user option.